API REFERENCE
Monitor Task Real-Time Overview API
POST
/open-api/v1/ad-monitor-task/real-time-overview/{task_id}·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/real-time-overview/dc7ed8902c66fc5e1dfbe4ccad5c345b' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| task_id
path · required
| string | | Monitor Task ID |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"task_id": "902175d02614903e4944dfdfe85bbb4d",
"ad_total_count": 0,
"ad_today_count": 0,
"ad_yesterday_count": 0,
"ad_seven_day_count": 0,
"ad30_day_count": 0,
"ad90_day_count": 0,
"landing_page_total_count": 0,
"landing_page_today_count": 0,
"landing_page_yesterday_count": 0,
"landing_page_seven_day_count": 0,
"product_total_count": 0,
"product_today_count": 0,
"product_yesterday_count": 0,
"product_seven_day_count": 0
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response Message | none |
| » data | object | true | none | Response Data | none |
| »» task_id | string | true | none | Monitor Task ID | none |
| »» ad_total_count | integer | true | none | Total Ad Count | none |
| »» ad_today_count | integer | true | none | New Ads Today | none |
| »» ad_yesterday_count | integer | true | none | New Ads Yesterday | none |
| »» ad_seven_day_count | integer | true | none | New Ads in Last 7 Days | none |
| »» ad30_day_count | integer | true | none | New Ads in Last 30 Days | none |
| »» ad90_day_count | integer | true | none | New Ads in Last 90 Days | none |
| »» landing_page_total_count | integer | true | none | Total Landing Page Count | none |
| »» landing_page_today_count | integer | true | none | New Landing Pages Today | none |
| »» landing_page_yesterday_count | integer | true | none | New Landing Pages Yesterday | none |
| »» landing_page_seven_day_count | integer | true | none | New Landing Pages in Last 7 Days | none |
| »» product_total_count | integer | true | none | Total Product Count | none |
| »» product_today_count | integer | true | none | New Products Today | none |
| »» product_yesterday_count | integer | true | none | New Products Yesterday | none |
| »» product_seven_day_count | integer | true | none | New Products in Last 7 Days | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
